/*
 * @(#)UrbancodeVersionAdapterTestHarness.java
 *
 * Copyright (c) 2002 by Urbancode Software Development, Inc., All rights Reserved
 *
 */
package com.urbancode.anthill.adapter;
/**
 * @version $Revision: 1.2 $
 * @author
 */
public class UrbancodeVersionAdapterTestHarness {
    
    //**************************************************************************
    // CLASS
    //**************************************************************************
    
    // Create Log4j category instance for logging
    static private org.apache.log4j.Category log = org.apache.log4j.Category.getInstance(UrbancodeVersionAdapterTestHarness.class.getName());
    
    static public void main(String[] args) {
        org.apache.log4j.BasicConfigurator.configure();

        UrbanCodeVersionAdapter adapter = new UrbanCodeVersionAdapter();
        
        String version1 = "prefix.12.build";
        String version2 = "v1.3.4 build 15 alpha";
        
        log.debug("input: "+version1+", incremented: "+adapter.incrementVersion0(version1));
        log.debug("input: "+version2+", incremented: "+adapter.incrementVersion0(version2));
    }
    
    
    //**************************************************************************
    // INSTANCE
    //**************************************************************************
    
    //--------------------------------------------------------------------------
    public UrbancodeVersionAdapterTestHarness() {
    }
    
}
