<%@ page contentType="text/html"%>
<%@ page import="com.urbancode.anthill.*" %>
<%@ page import= "com.urbancode.anthill.web.admin.WebKeys" %>
<html>
<head><title>Anthill Properties</title></head>
<body>
<%
  Anthill anthill = (Anthill)request.getAttribute(WebKeys.AnthillKey);
  AnthillConfig props = anthill.getAnthillConfig();
%>

<h2 align="center">Anthill Properties</h2>

<form action="AnthillPropertiesUpdateServlet" method="POST">
<table border="1" align="center" cellpadding="3" cellspacing="0">
  <tr bgcolor="white">
    <td>anthill.ant.home</td>
    <td>
      <input type="text" 
             name="ant.home" 
             value="<%= props.getProperty("ant.home") %>"></td>
  </tr>
  <tr bgcolor="white">
    <td>anthill.version.adapter</td>
    <td>
      <input type="text" 
             name="version.adapter" 
             value="<%= props.getProperty("version.adapter") %>"
             size="60">
    </td>
  </tr>
  <tr bgcolor="white">
    <td>anthill.repository.adapter</td>
    <td>
      <input type="text" 
             name="repository.adapter" 
             value="<%= props.getProperty("repository.adapter") %>"
             size="60">
    </td>
  </tr>
  <tr bgcolor="white">
    <td>anthill.repository.cvs.root</td>
    <td>
      <input type="text" 
             name="repository.cvs.root" 
             value="<%= props.getProperty("repository.cvs.root") %>"
             size="60">
    </td>
  </tr>
<!--
  <tr bgcolor="white">
    <td>anthill.work.dir</td>
    <td>
      <input type="text" 
             name="work.dir" 
             value="<= props.getProperty("work.dir") >">
    </td>
  </tr>
-->
  <tr bgcolor="white">
    <td>anthill.publish.dir.default</td>
    <td>
      <input type="text" 
             name="publish.dir.default" 
             value="<%= props.getProperty("publish.dir.default") %>">
    </td>
  </tr>
<!--
  <tr bgcolor="white">
    <td>anthill.work.dir.relative</td>
    <td>
      <input type="checkbox" 
             name="work.dir.relative" 
             checked>
    </td>
  </tr>
-->
  <tr bgcolor="white">
    <td>anthill.mail.host</td>
    <td>
      <input type="text" 
             name="mail.host" 
             value="<%= props.getProperty("mail.host") %>"
             size="60">
    </td>
  </tr>
  <tr bgcolor="white">
    <td>anthill.mail.from</td>
    <td>
      <input type="text" 
             name="mail.from" 
             value="<%= props.getProperty("mail.from") %>"
             size="60">
    </td>
  </tr>
  <tr bgcolor="#EEEEEE">
    <td colspan="2" >The url that you access anthill from.</td>
  </tr>
  <tr bgcolor="white">
    <td>anthill.server</td>
    <td>
      <input type="text" 
             name="server" 
             value="<%= props.getProperty("server") %>"
             size="60">
    </td>
  </tr>
<!--
  <tr bgcolor="#EEEEEE">
    <td colspan="2" >Turn off cvs locking of version file.</td>
   </tr>
  <tr bgcolor="white">
   <td>anthill.lock.version.file</td>
    <td>
      <select name="lock.version.file">
 < String projectLocked = props.getProperty("lock.version.file"); >
             <option value="on"<
                if ((projectLocked.equals("on")) || 
                    (projectLocked == null) ||
                    (projectLocked.equals(""))){
                       out.write("selected");
                     } > >on
             <option value="off"< if (projectLocked.equals("off")) {
                       out.write("selected");
                     } >>off

             </select>
    </td>
  </tr>
-->
  <tr bgcolor="#EEEEEE">
    <td colspan="2" >The ant target to execute when building dependencies.</td>
  </tr>
  <tr bgcolor="white">
    <td>anthill.dependency.target</td>
    <td>
      <% 
        String dependencyTarget = props.getProperty(ProjectProperties.DEPENDENCY_TARGET_KEY);
        if (dependencyTarget == null) {
            dependencyTarget = "";
        }
      %>
      <input type="text" 
             name="<%= ProjectProperties.DEPENDENCY_TARGET_KEY %>" 
             value="<%= dependencyTarget %>"
             size="60">
    </td>
  </tr>
  <tr bgcolor="#EEEEEE">
    <td colspan="2" >The property name to be passed when executing a dependency target whose value is the directory of the build artifacts.</td>
  </tr>
  <tr bgcolor="white">
    <td>anthill.dependency.artifact.property</td>
    <td>
      <%
        String artifactProp = props.getProperty(ProjectProperties.DEPENDENCY_ARTIFACT_PROP_KEY);
        if (artifactProp == null) {
            artifactProp = "";
        }
      %>
      <input type="text" 
             name="<%= ProjectProperties.DEPENDENCY_ARTIFACT_PROP_KEY %>" 
             value="<%= artifactProp %>"
             size="60">
    </td>
  </tr>
<!--
  <tr bgcolor="white">
    <td>anthill.build.interval</td>
    <td>
      <input type="text" 
             name="anthill.build.interval" 
             value="30">
    </td>
  </tr>
-->
  <tr bgcolor="white">
    <td colspan="2"><input type="submit" name="Update"></td>
  </tr>
</table>
</form>

<p><hr align="center" width="80%"><center><font size="1" face="Arial, Helvetica, sans-serif">Anthill version <%= Anthill.getVersion() %></font></center></p>

</body>
</html>
