<%@ page contentType="text/html"%>
<%@ page import="com.urbancode.anthill.*" %>
<%@ page import="com.urbancode.anthill.web.admin.WebKeys" %>
<%@ page import="java.util.*" %>
<html>
<head><title>Dependency Group Properties</title></head>
<body>
<%
  DependencyGroup group = (DependencyGroup) request.getAttribute(WebKeys.DependencyGroupKey);
  Anthill anthill = (Anthill) request.getAttribute(WebKeys.AnthillKey);

  String groupName = group.getName();
  if (groupName == null) groupName = "";

%>
<h2 align="center"><%= groupName %> Properties</h2>

<form action="DependencyGroupPropertiesUpdateServlet" method="POST">
<input type="hidden" 
       name="<%= WebKeys.DependencyGroupNameKey %>"
       value="<%= groupName %>">
<table align="center" cellpadding="3" cellspacing="0" width="600" border=1>

  <tr bgcolor="#EEEEEE">
    <td colspan="3">
    The name of this Dependency Group.
    </td>
  </tr>
  <tr bgcolor="white">
    <td width="140"><b>Group name</b></td>
    <td align="left" width="460"colspan="2">
      <input type="text" 
             name="group.name" 
             value="<%= groupName %>"
             size="72">
    </td>
  </tr>

<!--
    List of projects in this group
  -->
<%
  Iterator memberItr = null;
  String memberName = null;
  DependencyGroup.Member member = null;
  Iterator depItr = null;
  String depName = null;
  DependencyGroup.Member depMember = null;
  ProjectTarget target = null;
  String targetName = null;

  memberItr = group.getMemberIterator();
  int cnt = 0;
//  boolean hasDependencies = false;
  while (memberItr.hasNext()) {
    cnt++;
    member = (DependencyGroup.Member) memberItr.next();
    memberName = member.getName(); 
//    hasDependencies = member.getDependencyIterator().hasNext();
%>
  <tr bgcolor="white">
    <td colspan="2" nowrap><b>Group Member:</b> <%= memberName %></td>
    <td align="left" width="190"><b>delete</b>
        <input type=checkbox 
               name="delete.member<%=cnt%>"
               value="<%= memberName %>"> 
    </td>
  </tr>
<%
    depItr = member.getDependencyIterator();
    while (depItr.hasNext()) {
      depMember = (DependencyGroup.Member) depItr.next();
      depName = depMember.getName();
      target = depMember.getProjectTarget();
      if (target != null) {
        targetName = target.getName();
      } else {
        targetName = "";
      }

%>
  <tr bgcolor="white">
    <td align="left" width="50">&nbsp;</td>
    <td align="left" width="270">
        <b>Dependency:</b> <%= depName %>
        <!--<BR>Target: <input type="text" name="target.<%= memberName %>.<%= depName%>" value="<%= targetName %>">-->
    </td>
    <td align="left" width="190"><b>delete</b>
        <input type=checkbox 
               name="delete.dependency<%=cnt%>"
               value="<%= memberName + "." + depName %>"> 
    </td>
  </tr>
<%
    }
%>
    <!-- 
      Add new Dependency
    -->
  <tr bgcolor="white">
    <td align="left" width="50">&nbsp;</td>
    <td align="left"><b>Dependency:</b> 
        <select name="create.dependency<%=cnt%>">
          <option value="">-- Add Dependency --</option>
<%
    Iterator newDepItr = member.getPotentialDependencyIterator();
    while (newDepItr.hasNext()) {
      depMember = (DependencyGroup.Member) newDepItr.next();
      depName = depMember.getName();
%>
          <option value="<%= memberName + "." + depName %>"><%= depName %></option>
<%
    }
%>
        </select>
    </td>
    <td>&nbsp;</td>
  </tr>
<%
  }
%>



  <!-- 
    Add new Project
  -->
  <tr bgcolor="#EEEEEE">
    <td colspan="3">
    To add a new project to this dependency group select one from the list
    below.  A new Member of this group will be created for the selected project.
    </td>
  </tr>
  <tr bgcolor="white">
    <td width="140"><b>New Member:</b></td>
    <td align="left" width="460"colspan="2">
      <select name="create.member">
        <option value="">-- Select Project --</option>
<%
  Iterator newMemberItr = group.getPotentialProjectIterator();
  AnthillProject project = null;
  String projectName = null;
  while (newMemberItr.hasNext()) {
    project = (AnthillProject) newMemberItr.next();
    projectName = project.getProjectName();
%>
        <option value="<%= projectName %>"><%= projectName %></option>
<%
  }
%>
    </td>
  </tr>


  <!-- 
    Schedule
  -->
  <tr bgcolor="white">
    <td><b>Schedule</b></td>
    <td colspan="2" align="left">
      <select name="group.schedule">
<%
    Iterator scheduleItr = anthill.getScheduleIterator();
    AnthillSchedule schedule = group.getSchedule();
    String groupScheduleName = null;
    if (schedule != null) {
        groupScheduleName = schedule.getScheduleName();
    }
    String scheduleName = null;

    while (scheduleItr.hasNext()) {
        schedule = (AnthillSchedule)scheduleItr.next();
        scheduleName = schedule.getScheduleName();
%>
        <option value="<%= scheduleName %>" 
<% 
    if (scheduleName.equals(groupScheduleName)) {
      out.write("selected"); 
    }
%>
        ><%= scheduleName %></option>
<%
  }
%>
      </select>
    </td>
  </tr>

  <tr bgcolor="white">
    <td colspan="3"><input type="submit" name="Update" value="Update"></td>
  </tr>
</table>
</form>

<p><hr align="center" width="80%"><center><font size="1" face="Arial, Helvetica, sans-serif">Anthill version <%= Anthill.getVersion() %></font></center></p>

</body>
</html>
