<%@ page contentType="text/html"%>
<%@ page import="com.urbancode.anthill.*" %>
<%@ page import= "com.urbancode.anthill.web.admin.WebKeys" %>
<%@ page import= "java.util.Iterator" %>
<html>
<head><title>Schedule</title></head>
<body>
<%
  AnthillSchedule schedule = (AnthillSchedule)request.getAttribute(WebKeys.ScheduleKey);

  String scheduleName = schedule.getScheduleName();
  if (scheduleName == null) scheduleName = "";
%>

<h2 align="center">Schedule</h2>

<form action="ScheduleUpdateServlet" method="POST">
<input type="hidden" 
       name="<%= WebKeys.ScheduleNameKey %>"
       value="<%= scheduleName %>">
<table border="1" align="center" cellpadding="3" cellspacing="0">
  <tr bgcolor="white">
    <td>Schedule Name</td>
    <td align="center">
      <input type="text" 
             name="schedule.name" 
             value="<%= scheduleName %>">
    </td>
  </tr>  
  <tr bgcolor="#EEEEEE">
    <td colspan="2" >minutes between builds</td>
  </tr>
  <tr bgcolor="white">
    <td>build interval</td>
    <td align="center">
      <input type="text" 
             name="schedule.build.interval" 
             value="<%= schedule.getProperty("schedule.build.interval") %>">
    </td>
  </tr>
  <tr bgcolor="#EEEEEE">
    <td colspan="2" >The time this schedule initially starts (hh:mm)</td>
  </tr>

  <tr bgcolor="white">
    <td>start time</td>
    <td align="center">
      <input type="text" 
             name="schedule.start.time" 
             value="<%= schedule.getProperty("schedule.start.time") %>">
    </td>
  </tr>

  <tr bgcolor="white">
    <td colspan="2"><input type="submit" name="Submit"> </td>
  </tr>
</table>
</form>

<br>
<!-- ===========================================================================
      PROJECTS
     ======================================================================= -->
<table border="1" width="400" align="center" cellpadding="3" cellspacing="0">
  <tr bgcolor="gray">
    <td align="left">Projects using Schedule</td>
  </tr>
<%
  Iterator projectItr = schedule.getProjectIterator();
  Buildable buildable = null;
  while (projectItr.hasNext()) {
    buildable = (Buildable)projectItr.next();
    if (!Anthill.NEW_PROJECT_KEY.equals(buildable.getName())) {

%>
  <tr bgcolor="white">
    <td align="left"><%= buildable.getName() %></td>
  </tr>
<%
    }
  }
%>
</table>

<p><hr align="center" width="80%"><center><font size="1" face="Arial, Helvetica, sans-serif">Anthill version <%= Anthill.getVersion() %></font></center></p>

</body>
</html>
