<%@ page contentType="text/html"%>
<%@ page import="com.urbancode.lib.registry.RegistryEntry" %>
<%@ page import="com.urbancode.anthill.*" %>
<%@ page import= "com.urbancode.anthill.web.admin.WebKeys" %>
<%@ page import= "java.util.*" %>
<html>
<head><title>VersionAdapter Properties</title></head>
<body>
<%
  Anthill anthill = (Anthill)request.getAttribute(WebKeys.AnthillKey);
  AnthillProject project = (AnthillProject)request.getAttribute(WebKeys.ProjectKey);
  ProjectProperties properties = project.getProperties();
  Properties adapterProperties = (Properties)request.getAttribute(WebKeys.RepositoryConfigKey);

  String projectName = project.getProjectName();
  if (projectName == null) projectName = "";

%>

<h2 align="center"><%= properties.getVersionAdapterName() %> Properties</h2>

<form action="ProjectPropertiesUpdateServlet" method="POST">
<input type="hidden"
	     name="<%= WebKeys.ProjectNameKey %>"
	     value="<%= projectName %>">

<table align="center" cellpadding="3" cellspacing="0" width="600">
<%
String name = null;
int i = 1;
while ((name = adapterProperties.getProperty("param.name." + i)) != null) {
    String description = adapterProperties.getProperty("param.desc." + i);
    String def = adapterProperties.getProperty("param.default." + i);
    String value = properties.getProperty(name) == null ? def : properties.getProperty(name);
%>
  <tr bgcolor="#EEEEEE">
    <td colspan="3"><%=description%></td>
  </tr>
  <tr bgcolor="white">
    <td width="140"><%=name%></td>
    <td align="left" width="460"colspan="2">
      <input type="text"
	     name="<%=name%>"
             value="<%=value == null ? "" : value%>"
             size="72">
    </td>
  </tr>
<%
	i++;
}
%>
  <tr bgcolor="white">
    <td colspan="2"><input type="submit" name="Update" value="Update"></td>
  </tr>
</table>
</form>


</table>
</body>
</html>
