/*
 * @(#)SubDirectories.java
 *
 * License -
 * The contents of this file are subject to the Urbancode Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.urbancode.com/licenses/UPL/1_0/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Original Code is Urbancode Software
 * Development, Inc. ("Urbancode").  Portions created by Urbancode are
 * Copyright (C) Urbancode Software Development, Inc. All Rights Reserved.
 */

package com.urbancode.anthill.web;
import java.util.*;
/**
 * this class will represent the subdirectories found which 
 *
 * @author  matthew
 * @version 
 */
public class Subdirectories {

    private List webDirectoryList = new ArrayList();
    
    /** Creates new SubDirectories */
    public Subdirectories() {
    }
    
    public void addWebDirectory(WebDirectory webDir) {
        this.webDirectoryList.add(webDir);
    }
    
    public Iterator getWebDirectoryIterator() {
        Iterator dirItr = this.webDirectoryList.iterator();
        return dirItr;
    }
}
