/*
 * @(#)SubdirectoryScannerTestHarness.java
 *
 * License -
 * The contents of this file are subject to the Urbancode Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.urbancode.com/licenses/UPL/1_0/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Original Code is Urbancode Software
 * Development, Inc. ("Urbancode").  Portions created by Urbancode are
 * Copyright (C) Urbancode Software Development, Inc. All Rights Reserved.
 */
package com.urbancode.anthill.web;
import java.io.File;
import java.util.*;
import com.urbancode.anthill.web.*;
/**
 * @version $Revision: 1.2 $
 * @author 
 */
public class SubdirectoryScannerTestHarness {

    //**************************************************************************
    // CLASS
    //**************************************************************************


    
    //**************************************************************************
    // INSTANCE
    //**************************************************************************

    //--------------------------------------------------------------------------
    public SubdirectoryScannerTestHarness() {
    }

    static public void main (String[] args) {
        String base ="D:\\Projects";
        File baseFile = new File(base);
        String url = "intranet.lividblue.com/projects/";
        System.out.println(baseFile.getName());
        System.out.println(base);
        Subdirectories subdirs = SubdirectoryScanner.scanDirectory(baseFile , url);
        Iterator dirItr = subdirs.getWebDirectoryIterator();
        
        while (dirItr.hasNext()) {
            WebDirectory webDr = (WebDirectory)dirItr.next();
            System.out.println(webDr.url);
        }
    }
            
}
