<%@ page contentType="text/html"%>
<%@ page import="java.io.*" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.Date" %>
<%@ page import="com.urbancode.anthill.Anthill" %>
<%@ page import="com.urbancode.anthill.util.FileUtils" %>

<%
  File dir = (File)request.getAttribute("dir");
  String dirName = dir.getName();
  String resName = (String)request.getAttribute("resName");
  SimpleDateFormat dateFormat = new SimpleDateFormat("EEE, MMM d, yyyy HH:mm:ss z");
%>
<html>
<head><title>Directory Listing for: /<%= resName %></title></head>
<body>

<table width="90%" cellspacing=0 cellpadding=5 align=center>
  <tr>
    <td colspan=3>
      <font size=+2><strong>Directory Listing for: /<%= resName %></strong>
    </td>
  </tr>

<%
  File[] files = dir.listFiles();
  File file = null;
  int size = files.length;
  boolean hasDirectory = false;
  boolean flag = false;
  String subDirName = null;
  Date date = null;

  for (int i = 0; i < size; i++) {
    file = files[i];
    if (file.isDirectory()) {
      if (!hasDirectory) {
        // found first directory
        hasDirectory = true;
        // print header
%>
  <tr>
    <td colspan=3 bgcolor=#cccccc>
      <font size=+2><strong>Subdirectories:</strong></font>
    </td>
  </tr>
<%
      }

      // print the directory
      subDirName = file.getName();
      date = new Date(file.lastModified());
%>
  <tr<% if (flag) out.write(" bgcolor=#eeeeee"); %>>
    <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="<%= resName %>/<%= subDirName %>/"><%= subDirName %>/</a>&nbsp;&nbsp;&nbsp;</td>
    <td>&nbsp;</td>
    <td align=right><%= dateFormat.format(date) %></td>

  </tr>
<%
      flag = !flag;
    }
  }
%>
  <tr>
    <td colspan=3 bgcolor=#ffffff>&nbsp;</td>
  </tr>

<%
  files = dir.listFiles();
  file = null;
  size = files.length;
  boolean hasFile = false;
  flag = false;
  String fileName = null;
System.out.println("ResName: "+resName);
  for (int i = 0; i < size; i++) {
    file = files[i];
    if (file.isFile()) {
      if (!hasFile) {
        // found first file
        hasFile = true;
        // print header
%>
  <tr>
    <td colspan=3 bgcolor=#cccccc>
      <font size=+2><strong>Files:</strong></font>
    </td>
  </tr>
<%
      }

      // print the file
      fileName = file.getName();
      date = new Date(file.lastModified());
      String fileSize = FileUtils.getNearestBytes(file);
%>
  <tr<% if (flag) out.write(" bgcolor=#eeeeee"); %>>
    <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="<%= fileName %>"><%= fileName %></a>&nbsp;&nbsp;&nbsp;</td>
    <td><%= fileSize %></td>
    <td align=right><%= dateFormat.format(date) %></td>
  </tr>
<%
      flag = !flag;
    }
  }
%>
  <tr>
    <td colspan=3 bgcolor=#ffffff>&nbsp;</td>
  </tr>
  <tr>
    <td colspan=3 bgcolor=#cccccc><font size=-1>Anthill version <%= Anthill.getVersion() %></font></td>
  </tr>
</table>

</body>
</html>
