@echo off

set JAVA_HOME=d:\progra~1\jdk131
set ANTHILL_HOME=../../../

echo     //=====================================//
echo   //  AntHill Command-line Build System  //
echo //=====================================//

if "%JAVA_HOME%" == "" goto error

set LOCALCLASSPATH=%JAVA_HOME%\lib\tools.jar;%ANTHILL_HOME%\lib\jaxp.jar;%ANTHILL_HOME%\lib\parser.jar;%ANTHILL_HOME%\lib\ant.jar;%ANTHILL_HOME%\lib\log4j.jar;%ANTHILL_HOME%\lib\Butler-1.0.16.jar;%ANTHILL_HOME%\compile

echo Building with classpath %LOCALCLASSPATH%

echo Starting AntHill...

%JAVA_HOME%\bin\java -Danthill.home.dir=../../../ -Dconfig.dir.anthill=. -classpath "%LOCALCLASSPATH%" com.urbancode.anthill.AntHill test.anthill build

goto end

:error

echo ERROR: JAVA_HOME not found in your environment.
echo Please, set the JAVA_HOME variable in your environment to match the
echo location of the Java Virtual Machine you want to use.

:end

set LOCALCLASSPATH=

pause
